Attribute VB_Name = "DeclareVariables"
'/******************************************************/
'define struct

Type PictureRange
    width As Integer
    height As Integer
    left As Integer
    right As Integer
    top As Integer
    bottom As Integer
End Type
Public DisPicture As PictureRange

Type ControlData
         TriggerSource As Integer
         SelectedChannel As Integer
         Timebase As Integer
         TriggerPosition As Integer
         BufferSize As Integer
         IsAlt As Integer
End Type
Public Controlstate As ControlData

Type LeversData
         Ch1Position As Integer
         Ch2Position As Integer
         Ch1TriggerLevel As Integer
         Ch2TriggerLevel As Integer
         ExtTriggerLevel As Integer
End Type
Public levers As LeversData

Type StateStruct
    Ch1Filt As Integer
    Ch2Filt As Integer
    TriggerFilt As Integer
    TriggerMode As Integer
    TriggerSlope As Integer
End Type
Public FiltAndTrigger As StateStruct

Type LineColor
    R As Integer
    G As Integer
    B As Integer
End Type

Public CH1_color As LineColor
Public CH2_color As LineColor

Type AutosetDataStruct
    WhichChannel As Integer
    Ch1Voltage As Integer
    Ch2Voltage As Integer
    Ch1Timebase As Integer
    Ch2Timebase As Integer
    Ch1InGND As Integer
    Ch2InGND As Integer
    Ch1Enabled As Integer
    Ch2Enabled As Integer
End Type
Public AutosetData As AutosetDataStruct


Type TimeStruct
    Timer As Double
    Time As Double
    ScrollTime As Double
    ScrollStart As Integer
End Type
Public TimeState As TimeStruct

'/*******************************************************/

'declare variables

Public i As Long
Public Ch1Voltage As Integer
Public Ch2Voltage As Integer
Public TriggerSource As Integer
Public TriggerPosition As Long
Public Ch1Position As Long
Public Ch2Position As Long
Public Ch1TriggerLevel As Long
Public Ch2TriggerLevel As Long
Public ExtTriggerLevel As Long
Public Ch1Enabled As Boolean
Public Ch2Enabled As Boolean
Public TriggerSlope As Integer
Public TriggerMode As Integer
Public Timebase As Integer
Public DeviceIndex As Integer
Public Result As Integer
Public Ch1_ACDC As Integer
Public Ch2_ACDC As Integer
Public InterpolationLineMode As Integer
Public PointOrLine As Integer
Public Initialization As Boolean
Public StartCapture As Integer
Public GridOn As Boolean
Public XYMode As Boolean
Public Ch1InGND As Boolean
Public Ch2InGND As Boolean
Public ScrollMode As Integer
Public Sampling As Double
Public Time As Double

'declare array
Public level(62) As Integer
Public Ch1HardwareData(32780) As Integer
Public Ch2HardwareData(32780) As Integer
Public Ch1BufferData(32780) As Integer
Public Ch2BufferData(32780) As Integer
Public Ch1DisplayData(700) As Integer
Public Ch2DisplayData(700) As Integer
Public Ch1ScrollData(32780) As Integer
Public Ch2ScrollData(32780) As Integer
